Skip to content

Create a new ACH payment intent as a draft.

POST
/payments/ach
curl --request POST \
--url https://api.paygasus.com/payments/ach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "amount": 1000, "currency": "USD", "description": "example", "metadata": "example", "payment_method": { "account_holder_name": "Jane Buyer", "account_holder_type": "personal", "account_number": "000123456789", "account_type": "checking", "routing_number": "021000021" } }'

The intent starts in created and is not yet sent to the bank. Send it for settlement with the submit endpoint.

Media typeapplication/json
object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
Example
USD
description
string | null
metadata
object | null
payment_method
required
object
account_holder_name
required
string
Example
Jane Buyer
account_holder_type
required
string
Allowed values: personal business
account_number
required
string
Example
000123456789
account_type
required
string
Allowed values: checking savings
routing_number
required
string
Example
021000021

Draft payment intent created

Media typeapplication/json
object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
created
required
integer format: int64
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
description
string | null
id
required
string
livemode
required
boolean
metadata
required
object
key
additional properties
string
payment_method
required
object
account_holder_name
required
string
account_holder_type
required
string
Allowed values: personal business
account_last4
required
string
account_type
required
string
Allowed values: checking savings
routing_number
required
string
statement_descriptor
string | null
status
required
One of:

Draft, not yet submitted to FNBO.

object
status
required
string
Allowed values: created
updated
required
integer format: int64
Example
{
"amount": 1000,
"currency": "USD",
"id": "ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV",
"payment_method": {
"account_holder_name": "Jane Buyer",
"account_holder_type": "personal",
"account_last4": "6789",
"account_type": "checking",
"routing_number": "021000021"
},
"status": {
"status": "created"
}
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
param
string | null
type
required
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"param": "example",
"type": "example"
}
}